// Global Variables

#include "stdafx.h"
#include "header.h"


// Allegro Bitmap Objects

BITMAP	*mBuffer;		// The buffer is what all the graphics are displayed
						// to.  Once the display is ready, it will be copied
						// directly to the screen.

BITMAP	*mMouse;		// This is the bitmap for the mouse pointer.


// Other Global Objects

CClass      rank[250];      // The data for all the classes.

CIntFld     intFld;         // Integer fields objects.

CMap    	map;			// All the map data and functions for handling it.

CText   	txt;			// Basic text object, changed out depending on the need.

CText	    gTxt;			// Global text, used everywhere.  Only loaded once and saved.

CText   	eTxt;			// Error text.  Only loaded once and saved.

CTxtBox     field;          // Text box object

CWindows    win;            // Data for the GUI display windows.


// Booleans

bool sys_bClock = false;			// If true, will display the current time on the screen.

bool sys_bDebugMode = false;		// The debug mode toggle.

bool sys_bFPS = false;				// Frames per second display toggle.

bool sys_bUseVSync = true;			// Whether or not to wait for the vertical refresh
									// before blitting the buffer to the screen.

bool sys_bWindowedMode = false;		// Whether or not to use windowed mode.


// C++ Style Strings

string sys_tLanguage = "XX";		// What language to use. English (EN) is the default.
									// See the language source files for more information.

string sys_tPath = "system/";		// The current path that the engine is using.  This starts
									// out as the system folder, but will be changed as needed.
									// If a file cannot be found in the current folder, the
									// engine will look in the system path.
