// -- CLASS DATA CLASS --
// (Ha, ha, funny.)
//
// This is the class structure that stores all the data for
// all the classes in a given game.
//
// IMPORTANT: If you add any variables to the data structure, make sure
// you add them to the Clear routines.

class CClass
{
public:
    
    // General Data
    
    string tName;                   // The name of this class.
    BITMAP *mUnit;                  // The bitmap for this class's graphics.
    bool bProperties[9];            // Whether or not this class has given properties.
    int iType;                      // What type of movement this class uses.
    int iMaxLEV;                    // The highest level this unit can achieve.
    
    // Base Stats
    
    int iBHP;                       // Base hit points.
    int iBMOV;                      // Base movement points.
    
    // Growth Rates
    
    int iGHP;                       // Hit point growth rate.
    int iGMOV;                      // Movement point growth rate.
};
