#include "stdafx.h"
#include "header.h"

class CMapProp
{
public:
    void Core (void);
private:
    void Setup (void);
    
    BITMAP *mBG;
    
    int iWide;
    int iHigh;
} mapprop;

void CMapProp::Core (void)
{
    // The core of the map properties editor, that allows the user
    // to edit the basic map header info.
    
    Setup();
    
    // Main Loop
    
    while(!butCheck(2))
    {
        char cTemp[100];
        
        blit(mBG, mBuffer, 0, 0, 0, 0, SCREEN_W, SCREEN_H);
        displayAll();
        
        // TODO: Clean the following up with a class object
        // instead of individual buttons and text.
        
        if(butCheck(8) && map.iSizeX < maxWIDTH)
            map.iSizeX++;
        if(butCheck(9) && map.iSizeX > giTilesWide)
            map.iSizeX--;
        if(butCheck(10) && map.iSizeY < maxHEIGHT)
            map.iSizeY++;
        if(butCheck(11) && map.iSizeY > giTilesHigh)
            map.iSizeY--;
        
        sprintf(cTemp, "%-d", map.iSizeX);
        txtReset(9, cTemp);
        sprintf(cTemp, "%-d", map.iSizeY);
        txtReset(11, cTemp);
    };
    
    guiKillAll();
};

void CMapProp::Setup (void)
{
    char cTemp[100];
    
    mBG = create_bitmap(SCREEN_W, SCREEN_H);
    screenGet(mBG);
    
    // The Main Window
    
    win.New(0, "default", 128, 96, 384, 288);
    win.New(1, "default", 144, 80, 192, 32);
    txtNew(15, 152, 88, txt.Get("prop"), 2, -1, alignLEFT, 0);
    
    // Text Fields
    
    txtNew(5, 144, 128, txt.Get("name"), 2, -1, alignLEFT, 0);
    field.New(5, 2, &map.tName, 272, 128, 222, 16, -1);
    txtNew(6, 144, 148, txt.Get("author"), 2, -1, alignLEFT, 0);
    field.New(6, 2, &map.tAuthor, 272, 148, 222, 16, -1);
    txtNew(7, 144, 168, txt.Get("desc"), 2, -1, alignLEFT, 0);
    field.New(7, 3, &map.tDescription, 272, 168, 222, 96, -1);
    
    // Map Size Selector-Thingies (I can't find what they're supposed to be called.
    
    // TODO: Clean these up and turn them into "real boys" instead
    // of place-holder number selectors.
    
    sprintf(cTemp, "%-d", map.iSizeX);
    txtNew(8, 144, 268, txt.Get("wide"), 2, -1, alignLEFT, 0);
    txtNew(9, 164, 290, cTemp, 2, -1, alignLEFT, 0);
    butNew(8, 144, 288, "up", "", "", 0);
    butNew(9, 144, 296, "down", "", "", 0);
    sprintf(cTemp, "%-d", map.iSizeY);
    txtNew(10, 320, 268, txt.Get("high"), 2, -1, alignLEFT, 0);
    txtNew(11, 340, 290, cTemp, 2, -1, alignLEFT, 0);
    butNew(10, 320, 288, "up", "", "", 0);
    butNew(11, 320, 296, "down", "", "", 0);
    
    // Buttons
    
	//butNew(0, 144, 344, "sml_01", "", "", 0);
	//txtNew(0, 200, 349, txt.Get("tile"), 2, -1, alignCENTER, 0);
	//butNew(1, 272, 344, "sml_01", "", "", 0);
	//txtNew(1, 320, 349, txt.Get("tile"), 2, -1, alignCENTER, 0);
	butNew(2, 384, 344, "sml_01", "", "", 0);
	txtNew(2, 440, 349, txt.Get("okay"), 2, -1, alignCENTER, 0);
};    

void mapProperties (void)
{
    // Calls up the map properties editor.
    
    mapprop.Core();
};
